FriBID forum

FriBID är ett fritt program för e-legitimation med BankID.

You are not logged in.

#1 2012-11-16 08:42:17

Vantskruv
Member
Registered: 2012-11-16

[LÖST MED TILLFÄLLIG ÄNDRING] Problem med att ladda modulen PKCS11

Vid konfiguration före kompilering felmeddelande:

$ ./configure
    Prefix:            /usr/local
    Plugin path:       /usr/lib/mozilla/plugins

    GTK version:       2

    PKCS#11 smartcard support enabled
    PKCS#11 module:    /usr/lib/opensc-pkcs11.so

ERROR: PKCS#11 module not found
Make sure that you have installed OpenSC!


Letade efter opensc-pkcs11.so:
$ sudo find / -name 'opensc-pkcs11.so'
/usr/lib/x86_64-linux-gnu/opensc-pkcs11.so

Ändrade denna rad i filen configure:
pkcs11Module="/usr/$multilib/opensc-pkcs11.so"

till

pkcs11Module="/usr/lib/x86_64-linux-gnu/opensc-pkcs11.so"


Edit:
Mer information om mitt system:
Crunchbang Waldorf 64bit (baseras på Debian Wheezy)

Last edited by Vantskruv (2012-11-16 08:43:05)

Offline

#2 2012-11-16 08:56:25

samuellb
Administratör
Registered: 2010-02-15
Website

Re: [LÖST MED TILLFÄLLIG ÄNDRING] Problem med att ladda modulen PKCS11

Det händer pga att Debian har gått över till Multiarch där libbarna är flyttade till /usr/lib/processorarkitektur-os-libc/. Jag tror jag kan fixa det i helgen.

Offline

#3 2012-11-29 21:26:35

samuellb
Administratör
Registered: 2010-02-15
Website

Re: [LÖST MED TILLFÄLLIG ÄNDRING] Problem med att ladda modulen PKCS11

Detta är fixat i GIT nu.

GIT-commit: 3cbc77

Offline

Board footer

Powered by FluxBB